import request from '@/utils/request'

// 查询设备类型：equipment_type列表
export function listEquipmentType(query) {
  return request({
    url: '/type/equipmentType/list',
    method: 'get',
    params: query
  })
}

// 查询设备类型：equipment_type详细
export function getEquipmentType(typeId) {
  return request({
    url: '/type/equipmentType/' + typeId,
    method: 'get'
  })
}

// 新增设备类型：equipment_type
export function addEquipmentType(data) {
  return request({
    url: '/type/equipmentType',
    method: 'post',
    data: data
  })
}

// 修改设备类型：equipment_type
export function updateEquipmentType(data) {
  return request({
    url: '/type/equipmentType',
    method: 'put',
    data: data
  })
}

// 删除设备类型：equipment_type
export function delEquipmentType(typeId) {
  return request({
    url: '/type/equipmentType/' + typeId,
    method: 'delete'
  })
}

// 导出设备类型：equipment_type
export function exportEquipmentType(query) {
  return request({
    url: '/type/equipmentType/export',
    method: 'get',
    params: query
  })
}
